#ifndef _GEN_RANDOM_HPP_
#define _GEN_RANDOM_HPP_

#include "sos-common.hpp"

/* Generate a random submodular higher-order function
 *
 * Parameters:
 *  ho: output variable, stores the generated function
 *  n: number of variables
 *  k: size of cliques
 *  m: number of cliques
 *
 * m cliques are generated by choosing k elements of [1..n] uniformly
 * at random. 
 */
template <typename HigherOrder, typename REAL>
void GenRandom(HigherOrder& ho, 
        size_t n, 
        size_t k, 
        size_t m, 
        REAL cliqueRange, 
        REAL unaryMean, 
        REAL unaryVar, 
        unsigned int seed);


#endif
